| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiMP.pTools.SyncMini Class Reference
Inheritance diagram for GaudiMP.pTools.SyncMini:
[legend]
Collaboration diagram for GaudiMP.pTools.SyncMini:
[legend]

## Public Member Functions
def | __init__
def | check (self)
def | checkLast (self)
def | reset (self)
def | getTime (self)
def | set (self)
def | __repr__ (self)

## Public Attributes
| event
| t
| lastEvent

## Detailed Description

Definition at line 538 of file pTools.py.

## Constructor & Destructor Documentation

def GaudiMP.pTools.SyncMini.__init__ | ( |  | self,
|  |  | event,
|  |  | lastEvent = `None`
| ) |  |

Definition at line 539 of file pTools.py.

539 def __init__( self, event, lastEvent=None ) :
540 self.event = event
541 self.t = 0.0
542 self.lastEvent = None
543 if lastEvent :
544 self.lastEvent = lastEvent
GaudiMP.pTools.SyncMini.event
event
Definition: pTools.py:540
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:541
GaudiMP.pTools.SyncMini.__init__
def __init__
Definition: pTools.py:539
GaudiMP.pTools.SyncMini.lastEvent
lastEvent
Definition: pTools.py:542

## Member Function Documentation

def GaudiMP.pTools.SyncMini.__repr__ | ( |  | self | ) |

Definition at line 556 of file pTools.py.

556 def __repr__( self ) :
557 s = "---------- SyncMini --------------\n"
558 s += " Status : %s\n"%(self.event.is_set())
559 s += " t : %5.2f\n"%(self.t)
560 if self.lastEvent :
561 s += "Last Event : %s\n"%(self.lastEvent.is_set())
562 s += "----------------------------------\n"
563 return s
564
565 # =============================================================================
566
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:541
GaudiMP.pTools.SyncMini.__repr__
def __repr__(self)
Definition: pTools.py:556
GaudiMP.pTools.SyncMini.lastEvent
lastEvent
Definition: pTools.py:542

def GaudiMP.pTools.SyncMini.check | ( |  | self | ) |

Definition at line 545 of file pTools.py.

545 def check( self ) :
546 return self.event.is_set()
GaudiMP.pTools.SyncMini.check
def check(self)
Definition: pTools.py:545

def GaudiMP.pTools.SyncMini.checkLast | ( |  | self | ) |

Definition at line 547 of file pTools.py.

547 def checkLast( self ) :
548 return self.lastEvent.is_set()
GaudiMP.pTools.SyncMini.checkLast
def checkLast(self)
Definition: pTools.py:547

def GaudiMP.pTools.SyncMini.getTime | ( |  | self | ) |

Definition at line 552 of file pTools.py.

552 def getTime( self ) :
553 return self.t
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:541
GaudiMP.pTools.SyncMini.getTime
def getTime(self)
Definition: pTools.py:552

def GaudiMP.pTools.SyncMini.reset | ( |  | self | ) |

Definition at line 549 of file pTools.py.

549 def reset( self ) :
550 self.event.clear()
551 self.t = time.time()
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:541
GaudiMP.pTools.SyncMini.reset
def reset(self)
Definition: pTools.py:549

def GaudiMP.pTools.SyncMini.set | ( |  | self | ) |

Definition at line 554 of file pTools.py.

554 def set( self ) :
555 self.event.set()
GaudiMP.pTools.SyncMini.set
def set(self)
Definition: pTools.py:554

## Member Data Documentation

GaudiMP.pTools.SyncMini.event

Definition at line 540 of file pTools.py.

GaudiMP.pTools.SyncMini.lastEvent

Definition at line 542 of file pTools.py.

GaudiMP.pTools.SyncMini.t

Definition at line 541 of file pTools.py.

The documentation for this class was generated from the following file:

- GaudiMP/python/GaudiMP/pTools.py